## ros-jazzy-steering-controllers-library 4.8.0

=== debian/changelog ===
ros-jazzy-steering-controllers-library (4.8.0-1bookworm) bookworm; urgency=high

  * Deprecate non-stamped twist for tricycle_controller and steering_controllers (#1093 <https://github.com/ros-controls/ros2_controllers/issues/1093>)
  * add missing compiler definitions of RCPPUTILS_VERSION (#1089 <https://github.com/ros-controls/ros2_controllers/issues/1089>)
  * Contributors: Christoph Fröhlich, Sai Kishor Kothakota

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 13 May 2024 23:00:00 -0000

ros-jazzy-steering-controllers-library (4.7.0-1bookworm) bookworm; urgency=high

  * added conditioning to have rolling tags compilable in older versions (#1071 <https://github.com/ros-controls/ros2_controllers/issues/1071>)
  * Fix usage of visibility macros (#1039 <https://github.com/ros-controls/ros2_controllers/issues/1039>)
  * Contributors: Sai Kishor Kothakota, Silvio Traversaro

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 22 Mar 2024 00:00:00 -0000

ros-jazzy-steering-controllers-library (4.6.0-1bookworm) bookworm; urgency=high

  * Fix usage of M_PI on Windows (#1036 <https://github.com/ros-controls/ros2_controllers/issues/1036>)
  * Fix tests for using new get_node_options API (#840 <https://github.com/ros-controls/ros2_controllers/issues/840>)
  * Contributors: Sai Kishor Kothakota, Silvio Traversaro

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 12 Feb 2024 00:00:00 -0000

ros-jazzy-steering-controllers-library (4.5.0-1bookworm) bookworm; urgency=high

  * Add tests for interface_configuration_type consistently (#899 <https://github.com/ros-controls/ros2_controllers/issues/899>)
  * Contributors: Christoph Fröhlich

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 31 Jan 2024 00:00:00 -0000

ros-jazzy-steering-controllers-library (4.4.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 11 Jan 2024 00:00:00 -0000

ros-jazzy-steering-controllers-library (4.3.0-1bookworm) bookworm; urgency=high

  * Add few warning flags to error (#961 <https://github.com/ros-controls/ros2_controllers/issues/961>)
  * Fix ackermann steering odometry (#921 <https://github.com/ros-controls/ros2_controllers/issues/921>)
  * Changing default int values to double in steering controller's yaml file (#927 <https://github.com/ros-controls/ros2_controllers/issues/927>)
  * Contributors: Franz Rammerstorfer, Reza Kermani, Sai Kishor Kothakota

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 08 Jan 2024 00:00:00 -0000

ros-jazzy-steering-controllers-library (4.2.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 12 Dec 2023 00:00:00 -0000

ros-jazzy-steering-controllers-library (4.1.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 01 Dec 2023 00:00:00 -0000

ros-jazzy-steering-controllers-library (4.0.0-1bookworm) bookworm; urgency=high

  * fix tests for API break of passing controller manager update rate in init method (#854 <https://github.com/ros-controls/ros2_controllers/issues/854>)
  * Adjust tests after passing URDF to controllers (#817 <https://github.com/ros-controls/ros2_controllers/issues/817>)
  * Contributors: Bence Magyar, Sai Kishor Kothakota

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 21 Nov 2023 00:00:00 -0000

ros-jazzy-steering-controllers-library (3.17.0-1bookworm) bookworm; urgency=high

  * Steering controllers library: fix open loop mode (#793 <https://github.com/ros-controls/ros2_controllers/issues/793>)
    * set last*velocity variables for open loop odometry
    * Make function arguments const
    * Update function in header file too
  * Improve docs (#785 <https://github.com/ros-controls/ros2_controllers/issues/785>)
  * Contributors: Christoph Fröhlich

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 31 Oct 2023 00:00:00 -0000

ros-jazzy-steering-controllers-library (3.16.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 19 Sep 2023 23:00:00 -0000

ros-jazzy-steering-controllers-library (3.15.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 10 Sep 2023 23:00:00 -0000

ros-jazzy-steering-controllers-library (3.14.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 15 Aug 2023 23:00:00 -0000

ros-jazzy-steering-controllers-library (3.13.0-1bookworm) bookworm; urgency=high

  * Update ci-ros-lint.yml and copyright format (#720 <https://github.com/ros-controls/ros2_controllers/issues/720>)
  * Contributors: Christoph Fröhlich

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 03 Aug 2023 23:00:00 -0000

ros-jazzy-steering-controllers-library (3.12.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 17 Jul 2023 23:00:00 -0000

ros-jazzy-steering-controllers-library (3.11.0-1bookworm) bookworm; urgency=high

  * Added -Wconversion flag and fix warnings (#667 <https://github.com/ros-controls/ros2_controllers/issues/667>)
  * Let sphinx add parameter description to documentation (#651 <https://github.com/ros-controls/ros2_controllers/issues/651>)
  * Contributors: Christoph Fröhlich, gwalck

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 23 Jun 2023 23:00:00 -0000

ros-jazzy-steering-controllers-library (3.10.1-1bookworm) bookworm; urgency=high

  * Second round of dependencies fix (#655 <https://github.com/ros-controls/ros2_controllers/issues/655>)
  * Contributors: Bence Magyar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 05 Jun 2023 23:00:00 -0000

ros-jazzy-steering-controllers-library (3.10.0-1bookworm) bookworm; urgency=high

  * Remove unnecessary include (#645 <https://github.com/ros-controls/ros2_controllers/issues/645>)
  * enable ReflowComments to also use ColumnLimit on comments (#625 <https://github.com/ros-controls/ros2_controllers/issues/625>)

