=== debian/control ===
Source: ros-jazzy-steering-controllers-library
Section: misc
Priority: optional
Maintainer: Bence Magyar <bence.magyar.robotics@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-jazzy-ackermann-msgs, ros-jazzy-ament-cmake, ros-jazzy-ament-cmake-gmock <!nocheck>, ros-jazzy-backward-ros, ros-jazzy-control-msgs, ros-jazzy-controller-interface, ros-jazzy-controller-manager <!nocheck>, ros-jazzy-generate-parameter-library, ros-jazzy-geometry-msgs, ros-jazzy-hardware-interface, ros-jazzy-nav-msgs, ros-jazzy-pluginlib, ros-jazzy-rclcpp, ros-jazzy-rclcpp-lifecycle, ros-jazzy-rcpputils, ros-jazzy-realtime-tools, ros-jazzy-ros2-control-test-assets <!nocheck>, ros-jazzy-std-srvs, ros-jazzy-tf2, ros-jazzy-tf2-geometry-msgs, ros-jazzy-tf2-msgs, ros-jazzy-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-jazzy-steering-controllers-library
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-jazzy-ackermann-msgs, ros-jazzy-backward-ros, ros-jazzy-control-msgs, ros-jazzy-controller-interface, ros-jazzy-geometry-msgs, ros-jazzy-hardware-interface, ros-jazzy-nav-msgs, ros-jazzy-pluginlib, ros-jazzy-rclcpp, ros-jazzy-rclcpp-lifecycle, ros-jazzy-rcpputils, ros-jazzy-realtime-tools, ros-jazzy-std-srvs, ros-jazzy-tf2, ros-jazzy-tf2-geometry-msgs, ros-jazzy-tf2-msgs, ros-jazzy-ros-workspace
Description: Package for steering robot configurations including odometry and interfaces.
